sun java2 1.4.1. applets not working


DevX Home    Today's Headlines   Articles Archive   Tip Bank   Forums   

Results 1 to 2 of 2

Thread: sun java2 1.4.1. applets not working

  1. #1
    Join Date
    Mar 2003
    Posts
    3

    sun java2 1.4.1. applets not working

    I have a web site at http://tmm.2ya.com containing also a lot of java games, some of them here from javaboutique.

    I have downloaded from java.sun.com the new version java2 1.4.1. Thereafter a lot of my game applets did not work anymore when I visited my web site.

    I've got a coffee cup (which is new) in the upper left hand corner before the applets were loading and the ones which did not work anymore where showing a red "x" instead and the area remained gray (as usual if applets don't load)

    I then took "use Java2v 1.4.1. for <applets>" out of my IE 6.0 browser settings and everything was back to normal.

    I understood that Java 2v1.4.1. was fully compatible downwards.

    What shall I do? Should I take all these games out sooner or later as they do not meet the new standards or what is the problem? Should they be called up with a different code or are those applets just outdated?

    Can anyone help?

  2. #2
    Join Date
    Mar 2003
    Posts
    3
    I have found the answer. It is a fact that a lot of java applets do not function anymore when downloading and installing the new Sun Java 2v1.4.1 version. It is NOT fully compatible downwards.

    This is an ugly thing as you dont know what your website looks like if people are using this new version and leave the browser settings unless you test it yourselv. I have installed this new Java version on another computer and tested my site. I took all functional applets out such as clocks and date which do not work anymore.

    On my games section I followed what other web sites are doing which have also discovered this problem and give a note that some games do not function anymore with this new version including instrutions how to change browser settings "use java 2v1.4.1 for <applet>" to get back to normal.

    This is a general problem which javaboutique should also deal with. The clock I had to take out and some games originate from this web site. There should be a hint "not compatible with new Java Version 2v1.4.1." to avoid confusions in the future.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
HTML5 Development Center
 
 
FAQ
Latest Articles
Java
.NET
XML
Database
Enterprise
Questions? Contact us.
C++
Web Development
Wireless
Latest Tips
Open Source


   Development Centers

   -- Android Development Center
   -- Cloud Development Project Center
   -- HTML5 Development Center
   -- Windows Mobile Development Center